#include "code.h"
#include <bits/stdc++.h>
using namespace std;
int Pitaj(int i, int j); 

int a[1500][1500]; 
map<int,int> Mr[1500], Mc[1500];  

int mxr[1500]; 
int mnc[1500];     

vector<int> Nadji(int N, int K)
{
    int mx=0;
    int r=0;
    int c=0;
    for(int i=0;i<1500;i++) mnc[i]=1e9+7; 
    for(int i=1;i<=N;i++)
    {
        for(int j=1;j<=N;j++)
        {
            a[i][j]=Pitaj(i,j); 
            mxr[i]=max(mxr[i],a[i][j]); 
            mnc[j]=min(mnc[j],a[i][j]); 
            Mr[i][a[i][j]]++; 
            Mc[j][a[i][j]]++;   
        }
    }
    for(int i=1;i<=N;i++)
    {
        for(int j=1;j<=N;j++)
        {
            if(a[i][j]==mxr[i] && a[i][j]==mnc[j] && Mr[i][a[i][j]]==1 && Mc[j][a[i][j]]==1) 
            {
                r=i;
                c=j; 
            }
        }
    }
    vector<int> v;
    v.push_back(r);
    v.push_back(c);
    return v;
}